ToolzerHub Docs

List businesses related to an account (v2)

Returns business accounts Instagram suggests alongside a public profile, identified by username_or_id, each with its user and recent media_previews.

1 credit / requestBilled only on success
GET
/v2/instagram/user/businesses

Authorization

ApiKeyAuth
x-api-key<token>

In: header

Query Parameters

username_or_id*string

Username without the @, or numeric user ID, of a public account. The numeric ID is the pk or id field of a profile object.

Length1 <= length
curl -X GET "https://example.com/v2/instagram/user/businesses?username_or_id=nike" \  -H "x-api-key: YOUR_API_KEY"
{  "data": {    "items": [      {        "user": {          "property1": null,          "property2": null        },        "media_previews": [          {            "property1": null,            "property2": null          }        ],        "property1": null,        "property2": null      }    ]  },  "details": {    "reason": "no_results",    "message": "string"  }}